Subject: Re: What's cooking in git.git (Aug 2021, #09; Sun, 29)

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Aug 2021 20:39:46 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Also re your <[email-masked]> I'll switch to quoting
> Message-ID's in that style, and not as
> https://lore.kernel.org/git/<msgid> links. FWIW I was doing the latter
> for the benefit of readers on the sidelines, but will switch.

I can deal with either.  What I meant was that often resend of the
patch outside the context of "What's cooking" would be easier to
find the patches.

>> * ab/commit-graph-usage (2021-08-25) 7 commits
>>  - commit-graph: show "unexpected subcommand" error
>>  - commit-graph: show usage on "commit-graph [write|verify] garbage"
>>  - commit-graph: early exit to "usage" on !argc
>>  - multi-pack-index: refactor "goto usage" pattern
>>  - commit-graph: use parse_options_concat()
>>  - commit-graph: remove redundant handling of -h
>>  - commit-graph: define common usage with a macro
>
> Taylor, SZEDER: That's at
> <[email-masked]>, you
> reviwed the earlier
> <[email-masked]>, what do you
> think about this version?

>> * ab/unbundle-progress (2021-08-27) 5 commits
>
> This has outstanding feedback at
> <[email-masked]> that I need
> to respond to.

OK.

>> * zh/cherry-pick-advice (2021-08-23) 1 commit
>>  - cherry-pick: use better advice message
>>
>>  The advice message that "git cherry-pick" gives when it asks
>>  conflicted replay of a commit to be resolved by the end user has
>>  been updated.
>>
>>  Will merge to 'next'?
>
> I think so, I looked it over as part of browsing advice()-related
> changes, looks good to me.

Thanks.

>> * es/config-based-hooks (2021-08-19) 7 commits
>>  - hook: allow out-of-repo 'git hook' invocations
>>  - hook: include hooks from the config
>>  - hook: allow running non-native hooks
>>  - hook: introduce "git hook list"
>>  - hook: allow parallel hook execution
>>  - hook: run a list of hooks instead
>>  - Merge branch 'ab/config-based-hooks-base' into es/config-based-hooks
>>  (this branch uses ab/config-based-hooks-base.)
>>
>>  Revamp the hooks subsystem to allow multiple of them to trigger
>>  upon the same event and control via the configuration variables.
>>
>>  Will merge to 'next'?
>>  cf. <[email-masked]>
>
> This needs a re-roll based on my comments in reply to
> <[email-masked]>. It's mostly ready as
> far as the end-state is concerneb, but e.g. will break "rebase" (a
> commit in the middle doesn't compile), leaks memory etc.
>
> It needs a re-roll of ab/config-based-hooks-base, which I was waiting on
> some of Emily's feedback to do. Looks like there's no outstanding things
> there, so iwll work on that SOON.

OK, thanks.  Will mark both as expecting reroll on my end.

>> * js/advise-when-skipping-cherry-picked (2021-08-10) 2 commits
>>  - SQUASH???
>>  - sequencer: advise if skipping cherry-picked commit
>>
>>  "git rebase" by default skips changes that are equivalent to
>>  commits that are already in the history the branch is rebased onto;
>>  give messages when this happens to let the users be aware of
>>  skipped commits, and also teach them how to tell "rebase" to keep
>>  duplicated changes.
>
> This LGTM with your proposed obviously-correct squash.
>
> Re comment about ab/retire-advice-config above: I could also just fold
> this into that series if you'd prefer, i.e. it would be one way to deal
> with the only outstanding merge conflict in advice.c between
> master..seen.

Let's see how far we can go with these two as separate topics; I do
not foresee much issues in either topic and can advance them to
'next' soonish.

>> * cb/makefile-apple-clang (2021-08-06) 3 commits
>>  - build: catch clang that identifies itself as "$VENDOR clang"
>>  - build: clang version may not be followed by extra words
>>  - build: update detect-compiler for newer Xcode version
>>
>>  Build update.
>>
>>  Will merge to 'next'.
>
> Makes sense. Any reason other than lack of time that you opted not to go
> for the IMO simpler approach I suggested in
> <[email-masked]>?

I just didn't see the need for this update to be so big to deserve
such a total rewrite.

>> * ab/lib-subtest (2021-08-05) 11 commits
>>  - test-lib tests: assert 1 exit code, not non-zero
>>  - test-lib tests: refactor common part of check_sub_test_lib_test*()
>>  - test-lib tests: avoid subshell for "test_cmp" for readability
>>  - test-lib tests: assert no copy/pasted mock test code
>>  - test-lib tests: get rid of copy/pasted mock test code
>>  - test-lib tests: don't provide a description for the sub-tests
>>  - test-lib tests: stop using a subshell in write_sub_test_lib_test()
>>  - test-lib tests: split up "write and run" into two functions
>>  - test-lib tests: move "run_sub_test" to a new lib-subtest.sh
>>  - Merge branch 'ps/t0000-output-directory-fix' into ab/lib-subtest
>>  - Merge branch 'jk/t0000-subtests-fix' into ab/lib-subtest
>>
>>  Updates to the tests in t0000 to test the test framework.
>
> I think with my re-roll at
> <[email-masked]> it should be
> OK to declare this good to go sooner than later. I.e. the only trouble I
> can imagine this causing in
> <[email-masked]> is now easy
> to revert in isolation.

What's queued is v3, I think.  In the list of messages in the thread
on page

  https://lore.kernel.org/git/[email-masked]/

it is still a bit disturbing to see these three versions were sent
without much reaction to the list.

>> * ab/make-tags-cleanup (2021-08-05) 5 commits
>>  - Makefile: normalize clobbering & xargs for tags targets
>>  - Makefile: remove "cscope.out", not "cscope*" in cscope.out target
>>  - Makefile: don't use "FORCE" for tags targets
>>  - Makefile: add QUIET_GEN to "cscope" target
>>  - Makefile: move ".PHONY: cscope" near its target
>>
>>  Build clean-up for "make tags" and friends.
>>
>>  Expecting a reroll.
>>  4/5 may want a minor tweak to the log and the patch text but otherwise looks good.
>
> (Summary copied from <[email-masked]>)
>
> This entire comment has been in What's Cooking since v3 of the series,
> but v4 has been out since August 4th:
> <[email-masked]>

You're right.  The topic branch has the v4 but the comment in the
What's cooking report is simply stale.

>> * ab/test-tool-cache-cleanup (2021-08-24) 4 commits
>>  - read-cache perf: add a perf test for refresh_index()
>>  - test-tool: migrate read-cache-again to parse_options()
>>  - test-tool: migrate read-cache-perf to parse_options()
>>  - test-tool: split up test-tool read-cache
>>
>>  Test code shuffling.
>
> I had a "take it or leave it" comment at
> <[email-masked]>.

Thanks, I'd eject it then.  It should be easy to send in updates
when the tree is otherwise more quiescent.